Download OpenAPI specification:Download
This operation provides support for retrieving all the Content Fragments accessible to the current user, determined via the applied request authorization. By default this call will return a maximum of 50 items.
The caller can define other limits suited to their application (see the limit query
parameter), but the limit cannot be higher than 50. To ask for the next set of items
pass the value of the cursor provided in the response to the cursor query parameter.
A response containing a potentially paginated list of content fragments.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Ian Provo",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "validationStatus": [ ],
- "fieldTags": [ ],
- "etag": "79d1081c7b275f62a99ccd92828c4c83"
}
], - "cursor": "string"
}The Content Fragment was successfully created.
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Snowboarding",
- "name": "snowboarding-cf",
- "description": "This new CF is created with the new POST endpoint",
- "modelId": "L2NvbmYvZ2xvYmFsL3NldHRpbmdzL2RhbS9jZm0vbW9kZWxzL3NpbXBsZS1jZg",
- "parentPath": "/wknd-shared/en/adventures",
- "fields": [
- {
- "name": "location",
- "type": "text"
}
]
}{- "path": "/content/dam/wknd-shared/en/adventures/snowboarding-cf",
- "title": "Snowboarding",
- "description": "This new CF is created with the new POST endpoint",
- "id": "04dbb683-a63c-4144-9a27-7d019bd3e50e",
- "created": {
- "at": "2023-08-04T11:31:57.229+03:00",
- "by": "admin"
}, - "modified": { },
- "status": "NEW",
- "fields": [
- {
- "type": "text",
- "name": "location",
- "multiple": false,
- "values": [ ]
}
], - "variations": [ ],
- "tags": [ ],
- "references": [ ],
- "model": {
- "id": "L2NvbmYvZ2xvYmFsL3NldHRpbmdzL2RhbS9jZm0vbW9kZWxzL3NpbXBsZS1jZg",
- "path": "/conf/global/settings/dam/cfm/models/simple-cf",
- "name": "simple cf",
- "title": "simple cf"
}, - "validationStatus": [ ],
- "fieldTags": [ ]
}| If-None-Match | string The For more details, please head over to RFC9110. |
OK
Not Modified
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Ian Provo",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "checkedOutBy": "user",
- "validationStatus": [ ],
- "fieldTags": [ ],
- "metadata": {
- "schemaId": "default",
- "fields": [
- {
- "name": "title",
- "type": "string",
- "value": "Ian Provo",
- "title": "Title"
}, - {
- "name": "description",
- "type": "string",
- "value": "Author profile",
- "title": "Description"
}
]
}
}This operation allows editing a Content Fragment. The changes are passed as JSON Patch documents.
Save conflicts are detected by leveraging conditional HTTP
requests. When a conflict occurs, the server will reply with a 412 response. It becomes the caller's
responsibility to resolve the conflict, either by accepting the values from the server, or by overwriting them.
| If-Match required | string The For more details, please head over to RFC9110. |
OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
[- {
- "op": "add",
- "path": "/dc:title",
- "value": "Flower Photo"
}
]{- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Title has been replaced",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "validationStatus": [ ],
- "fieldTags": [ ]
}This operation allows fully updating mutable properties of a Content Fragment. The changes are passed as JSON.
Update requests should pass the most recent ETag value received from the server for a representation with fully hydrated direct references.
| If-Match required | string The For more details, please head over to RFC9110. |
OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Snowboarding",
- "description": "This new CF is created with the new PUT endpoint",
- "fields": [
- {
- "name": "location",
- "type": "text",
- "values": [
- "Paris"
]
}
]
}{- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Title has been replaced",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "validationStatus": [ ],
- "fieldTags": [ ]
}This operation deletes a Content Fragment.
Deletes are based on conditional HTTP
requests. When a conflict occurs, the server will reply with a 412 response.
Delete requests should pass the most recent ETag value received from the server for a representation with fully hydrated direct references.
Content Fragments in PUBLISHED or MODIFIED status cannot be deleted. Additionally, deletion is prevented if any Content Fragments it references are in MODIFIED status or if the fragment is referenced by other Content Fragments and the unlinkReferences parameter is set to false.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation updates the checkout state of a Content Fragment, either checking it out or checking it in.
Checking Out (checkedOut: true):
Checking In (checkedOut: false):
Conditional Requests:
This operation requires the If-Match header with the current ETag of the fragment to ensure
the operation is performed on the expected state of the resource. This prevents race conditions
where multiple users might attempt to change the checkout state simultaneously.
The ETag should be obtained from a previous GET request to the fragment.
When a conflict occurs (ETag mismatch), the server will reply with a 412 Precondition Failed response.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "checkedOut": true
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}This operation deletes a Content Fragment and also starts the unpublish process.
Deletes are based on conditional HTTP
requests. When a conflict occurs, the server will reply with a 412 response.
Delete requests should pass the most recent ETag value received from the server for a representation with fully hydrated direct references.
Deletion is prevented if the fragment is referenced by other Content Fragments and the unlinkReferences parameter is set to false.
| If-Match required | string The For more details, please head over to RFC9110. |
The request was accepted for processing and it will be executed asynchronously.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "workflowInstanceId": "string"
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "action": "PUBLISH",
- "status": "PENDING",
- "scheduledBy": "admin",
- "scheduledDate": "2023-08-04T12:11:09.120Z"
}This operation allows retrieving the Model UI Schema of a Content Fragment.
This operation is an alias for models/retrieveUISchema.
A response containing a UI schema
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "uiSchema": {
- "type": "HorizontalLayout",
- "elements": [
- {
- "type": "Control",
- "label": "Source",
- "scope": "#/properties/source"
}, - {
- "type": "Control",
- "label": "Image",
- "scope": "#/properties/image"
}, - {
- "type": "Control",
- "label": "Video",
- "scope": "#/properties/video"
}, - {
- "type": "Control",
- "label": "Image",
- "scope": "#/properties/image"
}
]
}, - "staticSchema": {
- "type": "object",
- "properties": {
- "source": {
- "type": "boolean",
- "description": "media source"
}, - "image": {
- "type": "string",
- "description": "image source"
}, - "video": {
- "type": "string",
- "description": "video source"
}
}, - "required": [
- "source"
]
}
}This operation returns the list of permissions the user has over a list of resources. The resources have to be either Content Fragments or Folders and be stored under /content/dam.
Request parameters to retrieve permissions.
OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Content Too Large. Indicates that the server is refusing to process a request because the request content is larger than the server is willing or able to process.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "paths": [
- "/content/dam/sample-wknd-app",
- "/content/dam/wknd-shared",
- "/conf/global/settings/dam/cfm/models/sample-model",
- "/content/launches/2026/01/01"
], - "preferredPermissions": [
- "READ",
- "DELETE",
- "CREATE_CONTENT_FRAGMENT",
- "CREATE_LAUNCH"
]
}{- "items": [
- {
- "path": "/content/dam/wknd-shared",
- "permissions": [
- "CREATE_CONTENT_FRAGMENT"
]
}
]
}This operation starts an AEM workflow for publishing Content Fragments.
Request parameters to publish content fragments.
OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Content Too Large. Indicates that the server is refusing to process a request because the request content is larger than the server is willing or able to process.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "ids": [
- "21269b12-57ed-487c-ae0d-fe316a2f8ada",
- "3ce2bf53-7436-4d3e-b19a-2793bc2ca63e"
], - "filterReferencesByStatus": [
- "DRAFT",
- "UNPUBLISHED"
], - "workflowModelId": "/etc/workflow/models/scheduled_activation_with_references",
- "workflowTitle": "Workflow Title",
- "scheduledTime": 1635244063701
}{- "workflowInstanceId": "/var/workflow/instances/server0/2022-01-21/scheduled_activation_with_references_23",
- "items": [
- {
- "path": "/content/dam/fragment",
- "status": "SUCCESS_TRIGGERED"
}, - {
- "path": "/content/dam/missing_fragment",
- "status": "ERROR_NOT_FOUND"
}, - {
- "path": "/content/dam/referenced_fragment",
- "status": "ERROR_REFERENCED"
}
]
}This operation copies a Content Fragment from one location to another.
The Content Fragment was successfully copied.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "parentPath": "string",
- "name": "string"
}{- "path": "/content/dam/wknd-shared/en/contributors/ian-provo",
- "title": "Ian Provo",
- "description": "",
- "id": "6d980e6a-c9e7-444b-af43-5503c46a061c",
- "created": {
- "at": "2023-08-02T16:01:48.275+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2023-08-04T14:51:58.597+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "Ian"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [
- "1988-09-26T14:09:00-07:00"
]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer",
- "Photographer"
]
}
], - "variations": [
- {
- "name": "another",
- "title": "Another",
- "description": "",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}
], - "tags": [
- {
- "id": "wknd-shared:activity/social",
- "title": "Social",
- "i18n": [ ],
- "titlePath": "WKND Shared : Activity / Social",
- "name": "social",
- "path": "/content/cq:tags/wknd-shared/activity/social",
- "description": ""
}
], - "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "model": {
- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/author",
- "name": "Author",
- "title": "Author"
}, - "checkedOutBy": "user",
- "validationStatus": [ ],
- "fieldTags": [ ],
- "metadata": {
- "schemaId": "default",
- "fields": [
- {
- "name": "title",
- "type": "string",
- "value": "Ian Provo",
- "title": "Title"
}, - {
- "name": "description",
- "type": "string",
- "value": "Author profile",
- "title": "Description"
}
]
}
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "ids": [
- "49af775d-0e7a-46c3-913d-00f762528373"
]
}{- "items": [
- {
- "id": "49af775d-0e7a-46c3-913d-00f762528373",
- "scheduledPublicationStatus": {
- "action": "PUBLISH",
- "status": "PENDING",
- "scheduledBy": "admin",
- "scheduledDate": "2023-08-04T12:11:09.120Z"
}
}
]
}This operation provides support for bulk editing the selected content fragments in the sense of replacing text occurrences for all fields of type text and long-text.
This operation executes synchronously. For performance considerations, the operation applies on a batch of selected CFs identified by a list of their paths.
Request payload for Content Fragments Bulk Edit Find and Replace
A response containing s result for FindAndReplace operation for each of the selected Content Fragment.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "paths": [
- "/content/dam/copy-of-my-new-adventure3"
], - "find": "adventure",
- "replace": "fun",
- "dryRun": true,
- "ignoreErrors": true
}{- "items": [
- {
- "path": "/content/dam/copy-of-my-new-adventure3",
- "status": "REPLACE_OK",
- "fieldsInError": [ ]
}
]
}This operation returns the domain URL based on the AEM tier provided: author, publish or preview.
OK
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "tier": "author",
- "domainURL": "string"
}
]
}This operation allows a caller to get the Content Fragment Model belonging to a specific Content Fragment. It is an alias for the endpoint /cf/models/{id}.
OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "id": "L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYWR2ZW50dXJl",
- "path": "/conf/wknd-shared/settings/dam/cfm/models/adventure",
- "name": "Adventure",
- "etag": "eddd95e986a7aff0500f0649bcf6604c",
- "description": "",
- "created": {
- "at": "2023-08-02T16:01:34.582+03:00",
- "by": "admin"
}, - "modified": {
- "at": "2022-06-01T10:17:43.668-07:00",
- "by": "admin"
}, - "locked": false,
- "status": "enabled",
- "previewStatus": "IN_SYNC",
- "fields": [
- {
- "type": "text",
- "name": "title",
- "label": "Title",
- "required": true,
- "multiple": false,
- "maxLength": 255,
- "validationType": "none"
}, - {
- "type": "text",
- "name": "slug",
- "label": "Slug",
- "description": "A short path to uniquely identify the Adventure. Can be used for pathing in client applications.",
- "required": true,
- "multiple": false,
- "maxLength": 255,
- "validationType": "custom",
- "customValidationRegex": "^[a-z0-9\\-_]{5,40}$",
- "customErrorMessage": "Slug must be at least 5 characters in length, lower case, using only letters and numbers and no spaces. Only special characters that can be used are dashes and underscore.."
}, - {
- "type": "long-text",
- "name": "description",
- "label": "Description",
- "description": "An overview of the trip.",
- "required": false,
- "multiple": false,
- "mimeType": "text/html"
}, - {
- "type": "enumeration",
- "name": "adventureType",
- "label": "Adventure Type",
- "required": false,
- "multiple": true,
- "hint": "select",
- "values": [
- {
- "key": "Day Trip",
- "value": "Day Trip"
}, - {
- "key": "Overnight Trip",
- "value": "Overnight Trip"
}, - {
- "key": "Training Session",
- "value": "Training Session"
}
], - "placeholder": "Select the type of adventure"
}, - {
- "type": "text",
- "name": "tripLength",
- "label": "Trip Length",
- "required": false,
- "multiple": false,
- "maxLength": 255,
- "validationType": "none"
}, - {
- "type": "enumeration",
- "name": "activity",
- "label": "Activity",
- "required": false,
- "multiple": true,
- "hint": "select",
- "values": [
- {
- "key": "Camping",
- "value": "Camping"
}, - {
- "key": "Surfing",
- "value": "Surfing"
}, - {
- "key": "Skiing",
- "value": "Skiing"
}, - {
- "key": "Cycling",
- "value": "Cycling"
}, - {
- "key": "Hiking",
- "value": "Hiking"
}, - {
- "key": "Skateboarding",
- "value": "Skateboarding"
}, - {
- "key": "Rock Climbing",
- "value": "Rock Climbing"
}, - {
- "key": "Running",
- "value": "Running"
}, - {
- "key": "Snowboarding",
- "value": "Snowboarding"
}, - {
- "key": "Social",
- "value": "Social"
}
], - "placeholder": "Select the activity"
}, - {
- "type": "number",
- "name": "groupSize",
- "label": "Group Size",
- "description": "Group size",
- "required": false,
- "multiple": false,
- "min": 1
}, - {
- "type": "enumeration",
- "name": "difficulty",
- "label": "Difficulty",
- "required": false,
- "multiple": true,
- "hint": "select",
- "values": [
- {
- "key": "Beginner",
- "value": "Beginner"
}, - {
- "key": "Intermediate",
- "value": "Intermediate"
}, - {
- "key": "Advanced",
- "value": "Advanced"
}, - {
- "key": "Expert",
- "value": "Expert"
}
], - "placeholder": "Select the difficulty level"
}, - {
- "type": "float-number",
- "name": "price",
- "label": "Price",
- "description": "Price of the Adventure",
- "required": false,
- "multiple": false,
- "defaultValue": 100
}, - {
- "type": "content-reference",
- "name": "primaryImage",
- "label": "Primary Image",
- "required": false,
- "multiple": false,
- "showThumbnail": false,
- "root": "/content/dam/wknd",
- "allowedContentTypes": [
- "image"
]
}, - {
- "type": "long-text",
- "name": "itinerary",
- "label": "Itinerary",
- "required": false,
- "multiple": false,
- "mimeType": "text/html"
}, - {
- "type": "long-text",
- "name": "gearList",
- "label": "What to Bring",
- "required": false,
- "multiple": false,
- "mimeType": "text/html"
}
], - "tags": [
- {
- "id": "wknd-shared:season/summer",
- "title": "Summer",
- "i18n": [ ],
- "titlePath": "WKND Shared : Season / Summer",
- "name": "summer",
- "path": "/content/cq:tags/wknd-shared/season/summer",
- "description": ""
}, - {
- "id": "wknd-shared:season/spring",
- "title": "Spring",
- "i18n": [ ],
- "titlePath": "WKND Shared : Season / Spring",
- "name": "spring",
- "path": "/content/cq:tags/wknd-shared/season/spring",
- "description": ""
}
], - "previewUrlPattern": "http://localhost:4502/${contentFragment.model.name}/${contentFragment.id}.html"
}This operation allows a caller to change the Content Fragment Model for a Content Fragment. As a result of this operation, the Content Fragment can become invalid if the new Model does not match the existing content. To edit the Content Fragment's fields after a Content Fragment Model change, use a partial or a full update operation on the Fragment.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "modelId": "string"
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}The Content Fragment was successfully created.
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Snowboarding",
- "name": "snowboarding-cf",
- "description": "This new CF is created with the new POST endpoint",
- "modelId": "L2NvbmYvZ2xvYmFsL3NldHRpbmdzL2RhbS9jZm0vbW9kZWxzL3NpbXBsZS1jZg",
- "parentPath": "/wknd-shared/en/adventures",
- "fields": [
- {
- "name": "location",
- "type": "text"
}
]
}{- "type": "string",
- "title": "Bad Request",
- "status": 400,
- "detail": "string",
- "requestId": "string",
- "validationStatus": [
- {
- "property": "string",
- "message": "string"
}
]
}This operation asynchronously creates a copy of a Content Fragment and its Content Fragment references. By default, references will be copied under their original folders and their names will automatically be adjusted by the server. Optionally, references can also be copied into the same folder as the main Content Fragment. The limit of references that can be handled is configurable server-side, with a default value of 1000.
The request was accepted for processing and it will be executed asynchronously.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "parentPath": "string",
- "name": "string",
- "copyReferencesToMainFolder": false
}{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}